datablock fxDTSBrickData (BrickDefaultBot_HoleSpawnData)
{
	brickFile = "Add-ons/Bot_Hole/4xSpawn.blb";
	category = "Special";
	subCategory = "Holes";
	uiName = "Default Hole";
	iconName = "Add-Ons/Bot_Default/icon_Default";

	bricktype = 2;
	cancover = 0;
	orientationfix = 1;
	indestructable = 1;

	isBotHole = 1;
	holeBot = "DefaultHoleBot";
};

datablock PlayerData(DefaultHoleBot : PlayerStandardArmor)
{
	uiName = "";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;
	maxWeapons = 0;
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 8;
	maxBackwardSpeed = 4;
	maxSideSpeed = 8;
	attackpower = 10;
	rideable = false;
	canRide = true;

	maxdamage = 100;//Bot Health
	jumpSound = "";//Removed due to bots jumping a lot
	
	//Hole Attributes
	isHoleBot = 1;

	hEmote = 1;
};

function DefaultHoleBot::onAdd(%this,%obj)
{
	armor::onAdd(%this,%obj);

	//Appearance Default
	%obj.accent = "0";
	%obj.accentColor = "0.550 0.700 1.000 0.700";
	%obj.chest = "0";
	%obj.chestColor = "0.9 0.9 0.9 1";
	%obj.decalName = "AAA-None";
	%obj.faceName = "smiley";
	%obj.hat = "0";
	%obj.hatColor = "0.2 0 0.8 1";
	%obj.headColor = "0.75 0.75 0.75 1";
	%obj.Hip = "0";
	%obj.hipColor = "0.2 0.2 0.2 1";
	%obj.Larm = "0";
	%obj.larmColor = "0.2 0.2 0.2 1";
	%obj.Lhand = "0";
	%obj.lhandColor = "0.75 0.75 0.75 1";
	%obj.lleg = "0";
	%obj.llegColor = "0.2 0.2 0.2 1";
	%obj.pack = "0";
	%obj.packColor = "0 0.141 0.333 1";
	%obj.Rarm = "0";
	%obj.rarmColor = "0.2 0.2 0.2 1";
	%obj.Rhand = "0";
	%obj.rhandColor = "0.75 0.75 0.75 1";
	%obj.rleg = "0";
	%obj.rlegColor = "0.2 0.2 0.2 1";
	%obj.secondPack = "0";
	%obj.secondPackColor = "0 1 0 1";

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
}

function BlockheadHoleBot::onBotLoop( %this, %obj )
{
	// echo( "Blockhead onLoop" );
	// parent::onBotLoop( %this, %obj );
	//Called every cycle
	//Useful for doing unique behaviors during normal loop
}

function BlockheadHoleBot::onBotCollision( %this, %obj, %col, %normal, %speed )
{
	// echo( "Blockhead onCollision" );
	//Called once every second the object is colliding with something
}

function BlockheadHoleBot::onBotFollow( %this, %obj, %targ )
{
	// echo( "Blockhead onFollow" );
	//Called when the target follows a player each tick, or is running away
}

function BlockheadHoleBot::onBotDamage( %this, %obj, %source, %pos, %damage, %type )
{
	// echo( "Blockhead onDamage" );
	//Called when the bot is being damaged
}